[pve-devel] [PATCH v2 proxmox-ve] apt hook: disable on remove

Fabian Grünbichler f.gruenbichler at proxmox.com
Tue Apr 16 14:32:48 CEST 2024


and (re-)enable on install. adapted from apt-listbugs/apt-listchanges, which
solve the issue of removing (instead of purging) the conffile and hook binary
providing package in the same fashion.

Suggested-by: Fiona Ebner <f.ebner at proxmox.com>
Signed-off-by: Fabian Grünbichler <f.gruenbichler at proxmox.com>
Reviewed-by: Fiona Ebner <f.ebner at proxmox.com>
---
v2:
- add addition file existence check in remove case
- add missing trailer(s)

 debian/proxmox-ve.postrm  | 35 +++++++++++++++++++++++++++++++++++
 debian/proxmox-ve.preinst | 13 +++++++++++++
 2 files changed, 48 insertions(+)
 create mode 100644 debian/proxmox-ve.postrm
 create mode 100644 debian/proxmox-ve.preinst

diff --git a/debian/proxmox-ve.postrm b/debian/proxmox-ve.postrm
new file mode 100644
index 0000000..cebd343
--- /dev/null
+++ b/debian/proxmox-ve.postrm
@@ -0,0 +1,35 @@
+#! /bin/sh
+set -e
+
+hook=/etc/apt/apt.conf.d/10pveapthook
+
+case "$1" in
+    purge)
+        rm -f $hook.disabled
+        ;;
+
+    remove)
+        if test -f $hook; then
+            mv $hook $hook.disabled
+        fi
+        ;;
+
+    abort-install)
+        if test "x$2" != "x" && test -f $hook
+        then
+            mv $hook $hook.disabled
+        fi
+        ;;
+
+    upgrade|failed-upgrade|abort-upgrade|disappear)
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/proxmox-ve.preinst b/debian/proxmox-ve.preinst
new file mode 100644
index 0000000..e190c3d
--- /dev/null
+++ b/debian/proxmox-ve.preinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+hook=/etc/apt/apt.conf.d/10pveapthook
+if test -f $hook.disabled
+then
+    mv $hook.disabled $hook
+fi
+
+#DEBHELPER#
+
+exit 0
-- 
2.39.2





More information about the pve-devel mailing list